#pragma once

#include <glm/glm.hpp>

/**
 * @brief Struct containing light information for shading.
 */
struct LightInfo {
    alignas(16) glm::vec3 position;          ///< Light position
    alignas(16) glm::vec3 color;             ///< Light color
    alignas(4)  float     ambient_strength;  ///< Ambient strength
    alignas(4)  float     specular_strength; ///< Specular strength
};
